Bug 990678 - Drupal 8 quickstart is failing with error: "Unexpected error: Cartridge created the following directories in the gear home directory"
Drupal 8 quickstart is failing with error: "Unexpected error: Cartridge crea...
Status: CLOSED NOTABUG
Product: OpenShift Online
Classification: Red Hat
Component: Templates (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Vojtech Vitek
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 13:50 EDT by Nam Duong
Modified: 2015-05-14 22:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 11:56:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nam Duong 2013-07-31 13:50:02 EDT
Description of problem:
This was reported by a user here:  https://www.openshift.com/quickstarts/drupal-8-quickstart#comment-32793  

https://www.openshift.com/quickstarts/drupal-8-quickstart fails on creation with the error: "Unexpected error: Cartridge created the following directories in the gear home directory: /var/lib/openshift/51f94b9ce0b8cdced100049e/usr"

This is easily reproducible:
1) Navigate to https://www.openshift.com/quickstarts/drupal-8-quickstart
2) Click Deploy Now
3) Give it a name and click "Create Application"
Comment 1 steven.merrill 2013-07-31 16:41:30 EDT
Hi - cartridge author here. I can confirm that that is the case.

I am speaking with Dan Mace in #openshift-dev about this, and it appears that some recent changes to cartridge initialization code have happened and OpenShift Online throws an exception when the vendored PHP and mod_fastcgi get ungzipped into ~/usr.

Dan is investigating when this change happened and what the best course of action will be.
Comment 2 Dan Mace 2013-07-31 17:30:35 EDT
The cartridge authors documentation/specification has always described the rules for writing to $OPENSHIFT_HOMEDIR:

http://openshift.github.io/documentation/oo_cartridge_developers_guide.html#reserved-directories

However, these restrictions weren't always properly enforced in code. This recent commit enforces the restriction in question:

https://github.com/openshift/origin-server/commit/addfed8d72fa1df3fb1e152b3c0b5969e7997f26
Comment 3 steven.merrill 2013-07-31 18:36:47 EDT
Dan and Jhon gave me some great help today and as a result, the Drupal 8 quickstart (and more specifically, the PHP 5.4 cartridge) rides again.

Note You need to log in before you can comment on or make changes to this bug.